UpgradeInfo (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.coyote.http11.upgrade, class: UpgradeInfo

# Class UpgradeInfo

java.lang.Object
org.apache.coyote.http11.upgrade.UpgradeInfo

public class UpgradeInfo extends Object
Structure to hold statistical information about connections that have been established using the HTTP/1.1 upgrade mechanism. Bytes sent/received will always be populated. Messages sent/received will be populated if that makes sense for the protocol and the information is exposed by the protocol implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradeInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBytesReceived(long bytesReceived)`
  `void`
  `addBytesSent(long bytesSent)`
  `void`
  `addMsgsReceived(long msgsReceived)`
  `void`
  `addMsgsSent(long msgsSent)`
  `long`
  `getBytesReceived()`
  `long`
  `getBytesSent()`
  `UpgradeGroupInfo`
  `getGlobalProcessor()`
  `long`
  `getMsgsReceived()`
  `long`
  `getMsgsSent()`
  `void`
  `setBytesReceived(long bytesReceived)`
  `void`
  `setBytesSent(long bytesSent)`
  `void`
  `setGroupInfo(UpgradeGroupInfo groupInfo)`
  `void`
  `setMsgsReceived(long msgsReceived)`
  `void`
  `setMsgsSent(long msgsSent)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpgradeInfo

    public UpgradeInfo()

- ## Method Details

  - ### getGlobalProcessor

    public UpgradeGroupInfo getGlobalProcessor()

  - ### setGroupInfo

    public void setGroupInfo(UpgradeGroupInfo groupInfo)

  - ### getBytesSent

    public long getBytesSent()

  - ### setBytesSent

    public void setBytesSent(long bytesSent)

  - ### addBytesSent

    public void addBytesSent(long bytesSent)

  - ### getBytesReceived

    public long getBytesReceived()

  - ### setBytesReceived

    public void setBytesReceived(long bytesReceived)

  - ### addBytesReceived

    public void addBytesReceived(long bytesReceived)

  - ### getMsgsSent

    public long getMsgsSent()

  - ### setMsgsSent

    public void setMsgsSent(long msgsSent)

  - ### addMsgsSent

    public void addMsgsSent(long msgsSent)

  - ### getMsgsReceived

    public long getMsgsReceived()

  - ### setMsgsReceived

    public void setMsgsReceived(long msgsReceived)

  - ### addMsgsReceived

    public void addMsgsReceived(long msgsReceived)